Bug 830426 - UDISKS_PRESENTATION_HIDE does not work
UDISKS_PRESENTATION_HIDE does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 09:21 EDT by basilicum
Modified: 2013-08-01 08:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:56:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description basilicum 2012-06-09 09:21:52 EDT
Description of problem:


Version-Release number of selected component (if applicable): Fedore 17

How reproducible:

In Nautilus, Thunar and desktop background all partititions of all non-removable harddisks show up. Adding a udev rule to set UDISKS_PRESENTATION_HIDE does not prevent this showing up.

With two alternative udev rules this erroneous behaviour is observed:
1- ACTION=="add|change" , KERNEL=="sda*" , ENV{UDISKS_PRESENTATION_HIDE}="1"
2- ATTR{removable}=="0",ENV{UDISKS_PRESENTATION_HIDE}="1"

Steps to Reproduce:
1. fresh install fedora17
2. adding rule 1 or alternatively 2
3.
  
Actual results:
still showing up

Expected results:
all partitions of all non-removable harddisks (inside system cabinet) should not show up 


Additional info:
Comment 1 Fedora End Of Life 2013-07-04 00:11:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 08:56:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.